@import url('general.css');

.cart-main-box {
    background-color: #F4F4F4;
    border-radius: 14px;
    padding: 20px;
}

.cart-box-1 {
    width: calc(100vw - 650px);
}

.cart-table-header,
.cart-table-body {
    background-color: #fff;
    border-radius: 10px;
    padding: 15px 20px;
}

.cart-table-header ul li {
    list-style: none;
    font-size: 16px;
    color: #4C4C4C;
}

.cart-table-header ul li:first-child {
    width: 45%;
}

.cart-table-header ul li:nth-child(2),
.cart-table-header ul li:nth-child(3),
.cart-table-header ul li:nth-child(4) {
    width: 11.5%;
    text-align: center;
}

.cart-table-header ul li:last-child {
    width: 20%;
    text-align: end;
}

.cart-product-detail {
    width: 45%;
}

.cart-product-img {
    width: 60px;
    height: 60px;
    background-color: #F4F4F4;
    padding: 5px;
    border-radius: 10px;
}

.cart-product-img img {
    width: 100%;
    object-fit: contain;
}

.cart-product-title {
    width: 75%;
}

.cart-product-title h3 {
    font-size: 16px;
    font-weight: 500;
    color: #333333;
}

.cart-product-title span {
    font-size: 14px;
    color: #4C4C4C;
}

.cart-product-title span div {
    width: 16px;
    height: 16px;
    border-radius: 50%;
}

.cart-product-unit-price {
    width: 11.5%;
    font-size: 16px;
    font-weight: 700;
    color: #000;
}

.cart-product-qty {
    width: 11.5%;
}

.cart-product-qty button {
    border: none;
    padding: 0px;
    top: -1px;
    background-color: transparent;
}

.qty-minus-btn {
    left: 19px;
}

.qty-plus-btn {
    right: 19px;
}

.cart-product-qty input {
    width: 64px;
    height: 24px;
    padding: 1px 0px 3px 27px;
    border: 1px solid #E84E1B;
    background: radial-gradient(90.35% 90.35% at 23.94% 5.43%, rgba(232, 78, 27, 0.1) 0%, rgba(255, 36, 36, 0.1) 47.6%, rgba(232, 78, 27, 0.1) 100%);
    border-radius: 50px;
    font-size: 14px;
    color: #333333;
}

.cart-product-remove {
    width: 20%;
}

.cart-product-remove button:first-child {
    width: 72px;
    height: 28px;
    border-radius: 50px;
    background: radial-gradient(90.35% 90.35% at 23.94% 5.43%, rgba(232, 78, 27, 0.1) 0%, rgba(255, 36, 36, 0.1) 47.6%, rgba(232, 78, 27, 0.1) 100%);
    color: #FF2424;
    font-size: 14px;
    border: none;
}

.cart-product-remove button:last-child {
    border: none;
    background: transparent;
    padding: 0px;
}

.cart-product-remaining-data {
    border-top: 1px solid #E6E6E6;
    padding-top: 15px;
    margin-top: 15px;
    transition: all 0.3s ease;
}

.cart-more-icon {
    transition: transform 0.3s ease;
}

.cart-product-remaining-data p {
    font-size: 14px;
    color: #4C4C4C;
}

.cart-product-remaining-data p:last-child {
    margin: 0px;
}

.cart-product-remaining-data p span {
    color: #333333;
}

.cart-box-2 {
    width: 450px;
    background-color: white;
    padding: 20px;
    border-radius: 14px;
}

.coupon-box label {
    font-size: 16px;
    color: #4C4C4C;
    font-family: Lato, sans-serif;
}

.coupon-box input {
    border: 1px solid #E84E1B;
    width: 100%;
    border-radius: 10px;
    height: 50px;
    padding: 0px 115px 0px 15px;
    font-size: 14px;
    color: #7F7F7F;
}

.coupon-box input:focus-visible {
    outline: none;
}

.coupon-box button {
    background: radial-gradient(90.35% 90.35% at 23.94% 5.43%, #E84E1B 0%, #FF2424 47.6%, #E84E1B 100%);
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    width: 100px;
    height: 50px;
    font-size: 16px;
    font-weight: 600;
    color: #fff;
    top: 0px;
    right: 0px;
    border: none;
}

.cart-sub-total,
.cart-coupon-price,
.cart-vat {
    font-size: 16px;
    color: #4C4C4C;
}

.cart-sub-total span {
    font-weight: 700;
    color: #000;
}

.cart-coupon-price span:last-child,
.cart-coupon-price b {
    color: var(--color-primary);
}

.cart-installation-fee {
    border-top: 1px solid #E6E6E6;
    border-bottom: 1px dashed #E6E6E6;
    padding-top: 15px;
    padding-bottom: 15px;
}

.cart-installation-fee p {
    font-size: 16px;
    color: #333333;
    font-family: Lato, sans-serif;
}

.cart-installation-fee label p {
    font-size: 14px;
    color: #4C4C4C;
    width: 100%;
}

.cart-installation-fee input {
    width: 20px;
    height: 20px;
}

.cart-total {
    font-size: 16px;
    font-weight: 600;
    color: #4C4C4C;
    margin-top: 15px;
}

.cart-total span {
    color: var(--color-primary);
}

.proceed-to-checkout-btn {
    background: radial-gradient(90.35% 90.35% at 23.94% 5.43%, #E84E1B 0%, #FF2424 47.6%, #E84E1B 100%);
    border-radius: 50px;
    height: 50px;
    width: 100%;
    font-size: 16px;
    color: #fff;
    border: none;
}

.continue-shopping-btn {
    background: radial-gradient(90.35% 90.35% at 23.94% 5.43%, rgba(232, 78, 27, 0.1) 0%, rgba(255, 36, 36, 0.1) 47.6%, rgba(232, 78, 27, 0.1) 100%);
    border-radius: 50px;
    height: 50px;
    width: 100%;
    font-size: 16px;
    color: var(--color-primary);
    border: none;
}

.mobile-show-data {
    display: none;
}

@media (max-width: 1024px) {
    .cart-main-box {
        flex-wrap: wrap;
        justify-content: end !important;
    }

    .cart-box-1 {
        width: 100%;
    }
}

@media (max-width: 850px) {
    .qty-minus-btn {
        left: 9px;
    }

    .qty-plus-btn {
        right: 9px;
    }
}

@media (max-width: 480px) {
    .cart-table-body-header {
        flex-wrap: wrap;
    }

    .cart-product-detail {
        width: 100%;
    }

    .cart-product-title span {
        font-size: 12px;
    }

    .cart-product-title span div {
        width: 14px;
        height: 14px;
    }

    .cart-product-remaining-data p {
        margin-bottom: 10px;
    }

    .cart-table-header {
        display: none;
    }

    .mobile-show-data {
        display: flex;
        margin-top: 10px;
        justify-content: space-between;
        align-items: center;
    }

    .cart-product-unit-price,
    .cart-product-qty,
    .cart-product-remove {
        display: none;
    }

    .mobile-show-data .cart-product-unit-price,
    .mobile-show-data .cart-product-qty,
    .mobile-show-data .cart-product-remove {
        display: block;
        width: auto !important;
    }

    .cart-product-remove button:last-child {
        position: absolute;
        top: 0px;
        right: 0px;
    }

    .cart-product-title h3 {
        width: 85%;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 1;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .cart-product-img {
        width: 90px;
        height: 90px;
    }

    .cart-table-body {
        padding: 10px;
    }

    .cart-product-qty input {
        width: 56px;
        padding: 1px 0px 3px 23px;
    }

    .qty-minus-btn {
        left: 3px;
    }

    .qty-plus-btn {
        right: 3px;
    }

    .cart-product-img img {
        height: 100%;
    }

    .cart-main-box {
        margin: 20px;
        padding: 10px;
    }

    .cart-product-unit-price {
        font-size: 14px;
    }

    .cart-product-remove button:first-child {
        font-size: 12px;
        width: 64px;
    }

    .attributes-list {
        gap: 6px;
    }
}